package com.sunxung.factoring.component.constance;

import java.math.BigDecimal;

/**
 * 项目核心企业打分模型
 */
public class ProjectCoreEnterpriseScoringModel {

    /**
     * 企业成立年限权重体系
     */
    public static final BigDecimal START_DATE_RATIO = new BigDecimal("0.05");
    /**
     * 企业成立年限标准分
     */
    public static final BigDecimal START_DATE_STANDARD = new BigDecimal("100");

    /**
     * 注册资本 权重体系
     */
    public static final BigDecimal REGISTERED_CAPITAL_RATIO = new BigDecimal("0.1");
    /**
     * 注册资本标准分1  5000万元<资本≤10亿元
     */
    public static final BigDecimal REGISTERED_CAPITAL_STANDARD_ONE = new BigDecimal("80");
    /**
     * 注册资本标准分2  10亿元<资本≤50亿元
     */
    public static final BigDecimal REGISTERED_CAPITAL_STANDARD_TWO = new BigDecimal("90");
    /**
     * 注册资本标准分3  >50亿元
     */
    public static final BigDecimal REGISTERED_CAPITAL_STANDARD_THREE = new BigDecimal("100");

    /**
     * 企业性质 权重体系
     */
    public static final BigDecimal ENTERPRISE_NATURE_RATIO = new BigDecimal("0.1");
    /**
     * 企业性质标准分1 事业单位
     */
    public static final BigDecimal ENTERPRISE_NATURE_STANDARD_ONE = new BigDecimal("100");
    /**
     * 企业性质标准分2  建筑类央企系
     */
    public static final BigDecimal ENTERPRISE_NATURE_STANDARD_TWO = new BigDecimal("100");
    /**
     * 企业性质标准分3  省属建筑类国企系
     */
    public static final BigDecimal ENTERPRISE_NATURE_STANDARD_THREE = new BigDecimal("80");
    /**
     * 企业性质标准分4 市属建筑类国企系
     */
    public static final BigDecimal ENTERPRISE_NATURE_STANDARD_FORE = new BigDecimal("60");
    /**
     * 企业性质标准分5 非建筑类央企系
     */
    public static final BigDecimal ENTERPRISE_NATURE_STANDARD_FIVE = new BigDecimal("100");
    /**
     * 企业性质标准分6 非建筑类省属国企系
     */
    public static final BigDecimal ENTERPRISE_NATURE_STANDARD_SIX = new BigDecimal("80");
    /**
     * 企业性质标准分7 非建筑类市属国企系
     */
    public static final BigDecimal ENTERPRISE_NATURE_STANDARD_SEVEN = new BigDecimal("60");
    /**
     * 企业性质标准分8 其他类
     */
    public static final String ENTERPRISE_NATURE_STANDARD_EIGHT = "不准入";

    /**
     * 控股比例 权重体系
     */
    public static final BigDecimal HOLDING_RATIO = new BigDecimal("0.05");
    /**
     * 控股比例 标准分1 控股比例＜51%
     */
    public static final String HOLDING_RATIO_STANDARD_ONE = "不准入";
    /**
     * 控股比例 标准分2 51%≤控股比例≤67%
     */
    public static final BigDecimal HOLDING_RATIO_STANDARD_TWO = new BigDecimal("80");
    /**
     * 控股比例 标准分3 控股比例>67%
     */
    public static final BigDecimal HOLDING_RATIO_STANDARD_THREE = new BigDecimal("100");

    /**
     * 股权层级 权重体系
     */
    public static final BigDecimal EQUITY_HIERARCHY_RATIO = new BigDecimal("0.2");
    /**
     * 股权层级标准分1 建筑类公司 本级
     */
    public static final BigDecimal EQUITY_HIERARCHY_STANDARD_ONE = new BigDecimal("100");
    /**
     * 股权层级标准分2 建筑类公司 一级子公司
     */
    public static final BigDecimal EQUITY_HIERARCHY_STANDARD_TWO = new BigDecimal("80");
    /**
     * 股权层级标准分3 建筑类公司 二级子公司
     */
    public static final BigDecimal EQUITY_HIERARCHY_STANDARD_THREE = new BigDecimal("60");
    /**
     * 股权层级标准分4 建筑类公司 二级子公司以下
     */
    public static final String EQUITY_HIERARCHY_STANDARD_FORE = "不准入";
    /**
     * 股权层级标准分5 非建筑类公司 本级、事业单位
     */
    public static final BigDecimal EQUITY_HIERARCHY_STANDARD_FIVE = new BigDecimal("100");
    /**
     * 股权层级标准分6 非建筑类公司 一级
     */
    public static final BigDecimal EQUITY_HIERARCHY_STANDARD_SIX = new BigDecimal("80");
    /**
     * 股权层级标准分7 非建筑类公司 二级
     */
    public static final BigDecimal EQUITY_HIERARCHY_STANDARD_SEVEN = new BigDecimal("70");
    /**
     * 股权层级标准分8 非建筑类公司 三级
     */
    public static final BigDecimal EQUITY_HIERARCHY_STANDARD_EIGHT = new BigDecimal("60");
    /**
     * 股权层级标准分9 非建筑类公司 三级以下
     */
    public static final String EQUITY_HIERARCHY_STANDARD_NINE = "不准入";

    /**
     * 经营地区 权重体系
     */
    public static final BigDecimal BUSINESS_ADDRESS_RATIO = new BigDecimal("0.05");
    /**
     * 经营地区标准分
     */
    public static final BigDecimal BUSINESS_ADDRESS_TANDARD = new BigDecimal("100");

    /**
     * 信用评级 权重体系
     */
    public static final BigDecimal CREDIT_RATING_RATIO = new BigDecimal("0.05");
    /**
     * 信用评级 标准分1 事业单位
     */
    public static final BigDecimal CREDIT_RATING_STANDARD_ONE = new BigDecimal("100");
    /**
     * 信用评级 标准分2 非事业单位 AAA级别（AAA-、AAA、AAA+）
     */
    public static final BigDecimal CREDIT_RATING_STANDARD_TWO = new BigDecimal("100");
    /**
     * 信用评级 标准分3 非事业单位 AA级别（AA-、AA、AA+）
     */
    public static final BigDecimal CREDIT_RATING_STANDARD_THREE = new BigDecimal("80");
    /**
     * 信用评级 标准分4 非事业单位 A级别（A-、A、A+）
     */
    public static final BigDecimal CREDIT_RATING_STANDARD_FORE = new BigDecimal("40");
    /**
     * 信用评级 标准分5 非事业单位 无级别
     */
    public static final BigDecimal CREDIT_RATING_STANDARD_FIVE = new BigDecimal("40");

    /**
     * 企业负面清单 权重体系
     */
    public static final BigDecimal ENTERPRISE_RATIO = new BigDecimal("0.4");
    /**
     * 近一年股东或法人变更<2次 标准分
     */
    public static final BigDecimal CHANGE_COUNT_STANDARD = new BigDecimal("5");
    /**
     * 当前企业不存在失信被执行情况 标准分
     */
    public static final BigDecimal SHI_XIN_STANDARD = new BigDecimal("10");
    /**
     * 当前企业不存在限制高消费的情况 标准分
     */
    public static final BigDecimal ST_COUNT_STANDARD_ONE = new BigDecimal("5");
    /**
     * 当前法人不存在限制高消费的情况 标准分
     */
    public static final BigDecimal ST_COUNT_STANDARD_TWO = new BigDecimal("5");
    /**
     * 当前被执行金额≤注册资本的2% 标准分
     */
    public static final BigDecimal ZHI_XING_STANDARD_ONE = new BigDecimal("5");
    /**
     * 当前被执行频率月/5次及以下 标准分
     */
    public static final BigDecimal ZHI_XING_STANDARD_TWO = new BigDecimal("5");
    /**
     * 涉诉金额≤注册资本的10% 标准分
     */
    public static final BigDecimal INVOLVING_STANDARD_ONE = new BigDecimal("6");
    /**
     * 近一年涉诉数量≤100 标准分
     */
    public static final BigDecimal INVOLVING_STANDARD_TWO = new BigDecimal("3");
    /**
     * 不存在民间借贷被告记录 标准分
     */
    public static final BigDecimal INVOLVING_STANDARD_THREE = new BigDecimal("3");
    /**
     * 无金融类诉讼被告记录 标准分
     */
    public static final BigDecimal INVOLVING_STANDARD_FORE = new BigDecimal("6");
    /**
     * 无股权冻结 标准分
     */
    public static final BigDecimal INVOLVING_STANDARD_FIVE = new BigDecimal("3");
    /**
     * 无其他异常诉讼情况 标准分
     */
    public static final BigDecimal INVOLVING_STANDARD_SIX = new BigDecimal("3");
    /**
     * 无严重违法行为 标准分
     */
    public static final BigDecimal BUSINESS_ABNORMALITIES_STANDARD_ONE = new BigDecimal("5");
    /**
     * 无欠税公告 标准分
     */
    public static final BigDecimal BUSINESS_ABNORMALITIES_STANDARD_TWO = new BigDecimal("5");
    /**
     * 无税务违法 标准分
     */
    public static final BigDecimal BUSINESS_ABNORMALITIES_STANDARD_THREE = new BigDecimal("5");
    /**
     * 无黑名单信息 标准分
     */
    public static final BigDecimal BUSINESS_ABNORMALITIES_STANDARD_FORE = new BigDecimal("5");
    /**
     * 无其他异常影响正常经营情况 标准分
     */
    public static final BigDecimal BUSINESS_ABNORMALITIES_STANDARD_FIVE = new BigDecimal("3");
    /**
     * 近一年行政处罚数量≤3 标准分
     */
    public static final BigDecimal ADMINISTRATIVE_PENALTY_STANDARD_ONE = new BigDecimal("5");
    /**
     * 行政处罚金额≤50万元 标准分
     */
    public static final BigDecimal ADMINISTRATIVE_PENALTY_STANDARD_TWO = new BigDecimal("5");
    /**
     * 环保处罚金额≤50万元 标准分
     */
    public static final BigDecimal ADMINISTRATIVE_PENALTY_STANDARD_THREE = new BigDecimal("3");
    /**
     * 近一年无负面新闻舆情 标准分
     */
    public static final BigDecimal NEWS_STANDARD_THREE = new BigDecimal("5");

    /**
     * 历史合作情况 权重体系
     */
    public static final BigDecimal HISTORICAL_COOPERATION_RATIO = new BigDecimal("0.2");
    /**
     * 历史合作时间<1年 权重体系
     */
    public static final BigDecimal HISTORICAL_COOPERATION_STANDARD_A = new BigDecimal("60");
    /**
     * 1年≤历史合作时间<3年 权重体系
     */
    public static final BigDecimal HISTORICAL_COOPERATION_STANDARD_B = new BigDecimal("80");
    /**
     * 历史合作时间≥3年 权重体系
     */
    public static final BigDecimal HISTORICAL_COOPERATION_STANDARD_C = new BigDecimal("100");
    /**
     * 历史合作规模<1000万元 权重体系
     */
    public static final BigDecimal HISTORICAL_COOPERATION_STANDARD_D = new BigDecimal("80");
    /**
     * 1000万元≤历史合作规模<3000万元 权重体系
     */
    public static final BigDecimal HISTORICAL_COOPERATION_STANDARD_E = new BigDecimal("90");
    /**
     * 历史合作规模≥3000万元 权重体系
     */
    public static final BigDecimal HISTORICAL_COOPERATION_STANDARD_F = new BigDecimal("100");
    /**
     * 历史合作项目数量<2个 权重体系
     */
    public static final BigDecimal HISTORICAL_COOPERATION_STANDARD_G = new BigDecimal("60");
    /**
     * 2个≤历史合作项目数量<5 权重体系
     */
    public static final BigDecimal HISTORICAL_COOPERATION_STANDARD_H = new BigDecimal("80");
    /**
     * 历史合作项目数量≥5个 权重体系
     */
    public static final BigDecimal HISTORICAL_COOPERATION_STANDARD_I = new BigDecimal("100");
    /**
     * 历史开票金额<1000万元 权重体系
     */
    public static final BigDecimal HISTORICAL_COOPERATION_STANDARD_J = new BigDecimal("80");
    /**
     * 1000万元≤历史开票金额<3000万元 权重体系
     */
    public static final BigDecimal HISTORICAL_COOPERATION_STANDARD_K = new BigDecimal("90");
    /**
     * 历史开票金额≥3000万元 权重体系
     */
    public static final BigDecimal HISTORICAL_COOPERATION_STANDARD_L = new BigDecimal("100");
    /**
     * 历史最长账期<5个月 权重体系
     */
    public static final BigDecimal HISTORICAL_COOPERATION_STANDARD_M = new BigDecimal("100");
    /**
     * 5个月≤历史最长账期<9个月 权重体系
     */
    public static final BigDecimal HISTORICAL_COOPERATION_STANDARD_N = new BigDecimal("80");
    /**
     * 9个月≤历史最长账期≤12个月 权重体系
     */
    public static final BigDecimal HISTORICAL_COOPERATION_STANDARD_O = new BigDecimal("60");
    /**
     * 历史最长账期>12个月 权重体系
     */
    public static final BigDecimal HISTORICAL_COOPERATION_STANDARD_P = new BigDecimal("0");

    /**
     * 准入
     */
    public static final String ADMITTED = "准入";
    /**
     * 不准入
     */
    public static final String NOT_ADMITTED = "不准入";

}
